"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var ramda_1 = __importDefault(require("ramda"));
exports.isString = function (s) { return typeof s === 'string'; };
exports.noNulls = ramda_1.default.reject(ramda_1.default.isNil);
exports.mergeArrays = function () {
    var arrays = [];
    for (var _i = 0; _i < arguments.length; _i++) {
        arrays[_i] = arguments[_i];
    }
    return ramda_1.default.compose(ramda_1.default.uniq, ramda_1.default.flatten)(arrays);
};
exports.pad = function (thing, suffix) { return thing ? " " + thing + (suffix || '') + " " : ' '; };
exports.validComponentName = function (name) {
    if (name.length === 0) {
        return false;
    }
    var first = name[0];
    return first.toUpperCase() === first;
};
//# sourceMappingURL=utils.js.map