"use strict";
var __assign = (this && this.__assign) || Object.assign || function(t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
        s = arguments[i];
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
            t[p] = s[p];
    }
    return t;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var acorn = require("acorn");
var inject_1 = __importDefault(require("acorn-jsx/inject"));
var inject_2 = __importDefault(require("acorn-static-class-property-initializer/inject"));
inject_1.default(acorn);
inject_2.default(acorn);
var defaultAcornOptions = {
    ecmaVersion: 9,
    locations: true,
    plugins: { jsx: true, staticClassPropertyInitializer: true },
    sourceType: 'module',
};
exports.parse = function (input) {
    var comments = [];
    var tokens = [];
    var result = acorn.parse(input, __assign({}, defaultAcornOptions, { onComment: comments, onToken: tokens, ranges: true }));
    return __assign({}, result, { comments: comments,
        tokens: tokens });
};
//# sourceMappingURL=acorn.js.map