"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var allowUnsafeNewFunction = require("loophole").allowUnsafeNewFunction;
var eslint;
allowUnsafeNewFunction(function () {
    eslint = require("eslint");
});
// let CLIEngine = eslint.CLIEngine
// let Linter = eslint.Linter;
var Eslinter = /** @class */ (function () {
    function Eslinter(cwd) {
        this.engine = new eslint.CLIEngine({ cwd: cwd });
        this.linter = new eslint.Linter();
    }
    Eslinter.prototype.format = function (text, filePath) {
        var e = this.engine;
        var config;
        allowUnsafeNewFunction(function () {
            config = e.getConfigForFile(filePath);
        });
        var linterResult = this.linter.verifyAndFix(text, config);
        return linterResult.output;
    };
    return Eslinter;
}());
exports.Eslinter = Eslinter;
//# sourceMappingURL=eslint.js.map