import { Node } from 'estel-estree-builder/generated/es2015';
export interface IReactComponent {
    componentName: string;
    definition: Node;
    props: IReactProperty[];
}
export interface IReactProperty {
    name: string;
    type: string;
    default: any;
}
export interface ICachedSourceFile {
    ast: Node;
    component?: IReactComponent;
    content: string;
    fileName: string;
    filePath: string;
}
export declare class SourceFileCache {
    private data;
    constructor();
    getFile(filePath: string): Promise<ICachedSourceFile>;
}
